---
title: Third edition of the Introduction to Verification and Testing (INVEST) workshop
---

Over sixty people attended the [Introduction to Verification and Testing workshop](http://wp.doc.ic.ac.uk/verificationgroup/event/workshop-introduction-to-verification-and-testing-invest-2017/), 
held this week at Imperial College London. The INVEST workshop, organised by [Alastair Donaldson]( http://multicore.doc.ic.ac.uk/), 
[Christian Cadar](https://www.doc.ic.ac.uk/~cristic/) and [Philippa Gardner](https://www.doc.ic.ac.uk/~pg/) 
gives young researchers and final year students with an interest in research the chance to take a closer 
look at the fields of [software verification and testing](http://wp.doc.ic.ac.uk/verificationgroup/).

![Cris Cadar presenting his talk on How to Give Talks](/images/posts/Cris-Cadar-talk-at-Invest-2017.jpg)
![Derek Dreyer presenting his talk on How to Give Talks](/images/posts/Derek-Dreyer-talk-at-Invest-2017.jpg)

During the all day workshop, students were able to listen to and engage with world-leading academic 
scholars, experience what it is like being a Verification and Testing researcher, and network with other students and current Post-Docs. 
There were a number of talks, including one on "How to Give Talks That People Can Follow",
by [Derek Dreyer](https://people.mpi-sws.org/~dreyer/), of the [Max Planck Institute for 
Software Systems (MPI-SWS), Germany]( https://www.mpi-sws.org/) and one minute presentations by students.

![Derek Dreyer presenting his talk on How to Give Talks](/images/posts/Derek-Dreyer-talk-at-Invest-2017-4.jpg)
