---
title: Philippa Gardner, talk at the open Workshop on Consistency in Distributed Storage Systems, LIP6, Paris
---
Philippa Gardner gave a talk on "A Concurrent Specification of PoSIX" at the open workshop "[Consistency in distributed storage](https://pages.lip6.fr/Marc.Shapiro/workshop-2017-05-03/)".
organised by [Marc Shapiro](https://pages.lip6.fr/Marc.Shapiro/) [(UPMC-LIP6 and  Inria)](https://www.inria.fr/).

This year's workshop, held at the Université Pierre et Marie Curie - LIP6, Paris, France on 3 May 2017, offered students 
and academics an opportunity to share insights on the principles and practice of distributed data replication systems, 
based on solid distributed algorithm and engineering principles. The workshop is held under the aegis of the French ANR Project RainbowFS, 
which aims to deconstruct consistency and to develop principled tools for the design, verification, deployment and monitoring, 
and to use them for developing a correct-by-construction and efficient geo-scale petabyte-sized storage system.

Philippa’s abstract and slides are available on the [workshop page](https://pages.lip6.fr/Marc.Shapiro/workshop-2017-05-03/).
