---
title:  Philippa Gardner, Keynote talk at Reliably Secure Software Systems (RS3) meeting, Darmstadt, Germany.
---
Philippa Gardner gave a keynote talk entitled 'Trustworthy Software Specification' at the [final event](http://www.spp-rs3.de/final-event/) 
of the [DFG-funded]( http://www.dfg.de/en/dfg_profile/mission/index.html) national research initiative ["Reliably Secure Software Systems (RS3)"](http://www.spp-rs3.de).

![Participants at RS3 Darmstadt 2017](/images/posts/Darmstadt-participants.jpg)

The meeting, which took place on 4-6 September 2017 in Darmstadt, Germany, featured presentations of selected results from RS3 research 
and invited [keynotes]( http://www.spp-rs3.de/final-event/keynotes.html) by renowned international speakers.
The overall goal of [RS3]( http://www.spp-rs3.de/About) has been to enable a reliable verification of system-wide 
security guarantees based on a well-founded understanding of programs and of security aspects.