---
firstname: Gabriela
lastname: Sampaio
position: PhD Student
webpage: 
email: g.sampaio17@imperial.ac.uk
github:  
projects:
  - web
  - moc
---
Gabriela Sampaio is a PhD student at the [Department of Computing](http://www.doc.ic.ac.uk) at
Imperial, under the supervision of Professor Philippa Gardner. 
She completed her BSc course at Federal University of Pernambuco (UFPE, Brazil) in 2015. 
During the undergraduate course, she spent one year at the University of Kent, working on an Erlang refactoring project ([Wrangler](https://www.cs.kent.ac.uk/projects/wrangler/Wrangler/Home.html)) 
under the supervision of Professor Simon Thompson. Later in 2017, she completed her MSc, also at UFPE, course under supervision of Professor Paulo Borba. 
The work aims to support developers in partially safe changes to software product lines, with the use of a partial refinement theory. 
The results were published at [SPLC'16](https://dl.acm.org/citation.cfm?id=2934482). Between the MSc and the PhD, Gabriela worked as a web developer in Brazil. 
Her PhD thesis will focus on the reasoning and verification of large Javascript Programs.