---
title: Philippa Gardner, invited speaker at Colloquium d'Informatique, Université Pierre et Marie Curie, Paris
---
Philippa Gardner was the invited speaker at the March 17 edition of the [Colloquium d'Informatique de L'UPMC Sorbonne 
Universités](https://www.lip6.fr/colloquium/?guest=Gardner). 

Philippa gave a talk entitled "Understanding and Verifying JavaScript Programs", where she described JaVerT, a JavaScript Verification Toolchain 
which provides the first logic-based symbolic analysis tool for JavaScript. The monthly Colloquia are organised 
by the [Laboratoire d’informatique de Paris 6 (LIP6)](https://www.lip6.fr/), a computer science research laboratory 
in the [Pierre et Marie Curie University](http://www.upmc.fr/en/university.html) in Paris, France. LIP6 has focused its research on the modeling 
and the resolution of fundamental problems driven by applications, as well as to the implementation 
and the validation through academic and industrial partnerships.
![Colloqium Poster Philippa Gardner March 17](/images/posts/Gardner-2017-03-28.jpg)